<?php
/**
*	Page variables
*
*	Description:
*		[language-code][page][object]
*
*	Variables:
*		name => value
*		Please use variable names with caution so we don't get
*		some nasty collision with other variables, preferably
*		we use some variable prefix here.
*/

// =========== English =================
// ======== default language ===========

// ----------- edit.php --------------
// -----------------------------------

// ----------- common --------------
$page_vars['en']['edit.php']['common'] = array(
	'_help_page_title' 	=> 'Help: ',
	'_help_page_info'	=> 'This page is for creating/editing objects.'
);

// ----------- host object -----------
$page_vars['en']['edit.php']['host'] = array(
	'_help_description' => 'Edit hosts here',
	'_help_content' 	=> 'Manage your hosts...<br>Click on &quot;Add Host&quot; ' .
		'on the page to enter new host and scan for services...'
);

// ----------- command object --------
$page_vars['en']['edit.php']['command'] = array(
	'_help_description' 	=> 'Check commands...',
	'_help_content'		 	=> 'Manage your check commands...'
);

// ----------- contact object --------
$page_vars['en']['edit.php']['contact'] = array(
	'_help_description' 	=> 'Contacts...',
	'_help_content'		 	=> 'Manage your contacts...'
);

// ----------- contactgroup object --------
$page_vars['en']['edit.php']['contactgroup'] = array(
	'_help_description' 	=> 'Contactgroup...',
	'_help_content'		 	=> 'Manage your contactgroups...'
);

// ----------- hostdependency object --------
$page_vars['en']['edit.php']['hostdependency'] = array(
	'_help_description' 	=> 'Hostdependency...',
	'_help_content'		 	=> 'Manage your hostdependencies...'
);

// ----------- hostescalation object --------
$page_vars['en']['edit.php']['hostescalation'] = array(
	'_help_description' 	=> 'Hostescalation...',
	'_help_content'		 	=> 'Manage your hostescalations...'
);

// ----------- hostgroup object --------
$page_vars['en']['edit.php']['hostgroup'] = array(
	'_help_description' 	=> 'Hostgroup...',
	'_help_content'		 	=> 'Manage your hostgroups...'
);

// ----------- service object --------
$page_vars['en']['edit.php']['service'] = array(
	'_help_description' 	=> 'Services...',
	'_help_content'		 	=> 'Manage your services...'
);

// ----------- servicedependency object --------
$page_vars['en']['edit.php']['servicedependency'] = array(
	'_help_description' 	=> 'Servicedependencies...',
	'_help_content'		 	=> 'Manage your servicedependencies...'
);

// ----------- serviceescalation object --------
$page_vars['en']['edit.php']['serviceescalation'] = array(
	'_help_description' 	=> 'Serviceescalations...',
	'_help_content'		 	=> 'Manage your serviceescalations...'
);

// ----------- servicegroup object --------
$page_vars['en']['edit.php']['servicegroup'] = array(
	'_help_description' 	=> 'Servicegroups...',
	'_help_content'		 	=> 'Manage your servicegroups...'
);

// ----------- timeperiod object --------
$page_vars['en']['edit.php']['timeperiod'] = array(
	'_help_description' 	=> 'A time period is a list of times during various '.
		'days that are considered to be "valid" times for notifications and service '.
		'checks. It consists of time ranges for each day of the week that "rotate" once '.
		'the week has come to an end. Different types of exceptions to the normal weekly '.
		'time are supported, including: specific weekdays, days of generic months, '.
		'days of specific months, and calendar dates. ',
	'_help_content'		 	=> 'Manage your timeperiods...'
);

// ----------- pnp page object --------
$page_vars['en']['pnp_pages']['common'] = array(
	'_help_page_title'  => 'Help: ',
	'_help_page_info'  => null,
	'_help_description' => 'Read more at <a href="http://docs.pnp4nagios.org/pnp-0.6/pages" target="_blank">the official page of PNP Pages</a>',
	'_help_content'	=> 'Manage your PNP pages...'
);

// ----------- clone.php --------------
// -----------------------------------

// ----------- common --------------
$page_vars['en']['clone.php']['common'] = array(
	'_help_page_title' 	=> 'Clone objects: ',
	'_help_page_info'	=> 'Cloning is the same as copying....'
);

// ----------- host object --------------
$page_vars['en']['clone.php']['host'] = array(
	'_help_page_title' 	=> 'Clone a host.',
	'_help_page_info'	=> 'Cloning a host is like a dream come true'
);

// ----------- service object -----------
$page_vars['en']['clone.php']['service'] = array(
	'_help_description' => 'Clone a service',
	'_help_content' 	=> 'To Clone a service you just have to...'
);

// --------- host_wizard.php----------
// -----------------------------------

// ----------- common ----------------
$page_vars['en']['host_wizard.php']['common'] = array(
	'_help_page_title' 	=> 'Help: ',
	'_help_page_info'	=> 'This page is for adding new host and services.'
);

// ----------- host object --------------
$page_vars['en']['host_wizard.php']['host'] = array(
	'_help_description' => 'Add new host and services',
	'_help_content' 	=> 'Enter values for host_name, alias. The address field should contain a valid (IP nr or ' .
	'DNS-resolvable network hostname). Select contactgroup(s), hostgroup(s) and parent(s) for this new host by moving items from the left box ' .
	'to the right one. Select servicechecks...'
);
// ----------- roles -------------
$page_vars['en']['roles']['common'] = array(
	'_help_page_title'  => 'Help: ',
	'_help_page_info'   => 'This page is for configuring administrator roles.'
);
