<?php

# these two objects are present everywhere anything
# actually happens, and some functions rely on them
# being global, so instantiate them here.
require_once('gui_nacoma.php');

global $page;
$page = new gui_nacoma_Model();
global $input;
$input = new input_nacoma_Model();

//EL7 check max_input_vars limit
$max_input_vars_limit = ini_get("max_input_vars");
$operating_system_info = php_uname();
$request_count = 0;
array_walk_recursive($_REQUEST, function ($request_count) use (&$request_count) {
    $request_count++;
});

if(preg_match("/(el7|centos7)/i", $operating_system_info) && $request_count >= $max_input_vars_limit) {
    $msg = "Input variables exceeded. To increase the limit change max_input_vars in php.ini";
    deny_access($msg);
}