<?php

/**
 * A string widget with a wiki shortcut, used for notes_url fields
 */
class Notesurl_Nacomawidget extends String_Nacomawidget {
	function render($obj, $token, $value) {
		$type = $obj->type;
		if (strpos($type, 'template') !== false)
			$type = substr($type, 0, strpos($type, '_template'));
		if ($type === 'service') {
			$url = 'hosts/$HOSTNAME$/$SERVICEDESC$';
		}
		else {
			$url = $type.'s/$'.strtoupper($type).'NAME$';
		}
		$dokuwiki_url = '/dokuwiki/doku.php/'.$url;
		parent::render($obj, $token, $value);
		echo "<button class='use_wiki' data-for=\"{$this->get_id($obj, $token)}\" value='$dokuwiki_url'>Use wiki</button>\n";
	}
}
