<?php

/**
 * Password widget
 */
class Password_Nacomawidget extends Base_Nacomawidget {
	function render($obj, $token, $value) {
		printf(
			'<input type="password" autocomplete="off" id="%1$s" name="%1$s[1]" value="" class="xlarge" />'."\n",
			html::specialchars($this->get_id($obj, $token))
		);
		printf(
			'<br /><input type="password" autocomplete="off" id="%1$s" name="%1$s[2]" value="" class="xlarge" />'."\n",
			html::specialchars($this->get_id($obj, $token))
		);
	}

	static function validate($obj, $token, $value) {
		if (is_string($value)) {
			return $value;
		}
		if(!isset($value[1], $value[2])
			|| ($value[1] !== $value[2]) ||
			empty($value[1])) {
			throw new widget_validation_exception("Must provide identical passwords");
		}
		return $value[1];
	}
}
